
Redmine - Defect #2493

Subversion: Error message for some of view differences

2009-01-12 14:12 - youngseok yi

Status: Confirmed Start date: 2009-01-12

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: Candidate for next minor release   

Resolution:  Affected version:  

Description

Some of view differences give error message The entry or revision was not found in the repository.

for example, when I try to check diff between source:/trunk/app/controllers/account_controller.rb@62 and 

source:/trunk/app/controllers/account_controller.rb@44 from 

http://www.redmine.org/repositories/changes/redmine/trunk/app/controllers/account_controller.rb, I'm getting above error.

When I tried bellow from the shell.

>svn diff -r 44:62 http://redmine.rubyforge.org/svn/trunk/app/controllers/account_controller.rb@62

 gives same error in the shell.

but

>svn diff -r 44:62 http://redmine.rubyforge.org/svn/trunk/app/controllers/account_controller.rb

 gives the diff.

I'm not sure [@REV] required or not (source:trunk/lib/redmine/scm/adapters/subversion_adapter.rb@2045#L181).

Related issues:

Related to Redmine - Patch #4262: Bazaar: correct renames handling, other imp... New 2009-11-22

Has duplicate Redmine - Defect #13601: Repository history problems following ... Closed

Has duplicate Redmine - Defect #7324: Subversion diff gives an error. Closed 2011-01-13

Has duplicate Redmine - Defect #9679: Subversion: 404 on diff of renamed files Closed 2011-11-28

Has duplicate Redmine - Defect #3285: Renamed SVN Project/Folder :: problem w... Closed 2009-05-03

History

#1 - 2009-01-12 18:54 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

for example, when I try to check diff between source:/trunk/app/controllers/account_controller.rb@62 and 

source:/trunk/app/controllers/account_controller.rb@44 from 

http://www.redmine.org/repositories/changes/redmine/trunk/app/controllers/account_controller.rb, I'm getting above error.

 /trunk/app/controllers/account_controller.rb doesn't exist at r62. That's why you get this error.

/trunk/redmine was moved to /trunk at r67.

Reopen if needed.

#2 - 2009-01-13 02:38 - youngseok yi

- Status changed from Closed to Reopened

Jean-Philippe Lang wrote:

/trunk/app/controllers/account_controller.rb doesn't exist at r62. That's why you get this error.
/trunk/redmine was moved to /trunk at r67.

 Thanks JP! Now I can understand what has happened.

Subversion can see the all of history if svn copy or svn move has been used for moving /trunk/redmine to /trunk.(svn shares the history between

branches)

I think the shelling out difference between r44 and r66 in the history page of account_controller.rb should be as bellow.

>svn diff -r 44:62 http://redmine.rubyforge.org/svn/trunk/app/controllers/account_controller.rb@HEAD

 Because the given path is based on HEAD, not a specific revision.

This gives the correct history even though the /trunk/app/controllers/account_controller.rb doesn't exist before r67.

We need to differ the case for specific revision and HEAD. It would be better to regard [@REV] as a part of path.

p.s. the link source:/trunk/app/controllers/account_controller.rb@62 giving same error message. but it seems natural becasue the path doesn't exist at

revision 62.

#3 - 2009-01-18 12:10 - Jean-Philippe Lang

You're absolutely right. I think the solution is to add one more argument to the diff method to specify the revision of the given path. This will be HEAD

in most cases, unless browsing the repository at a specific revision.

The svn diff command would be:

svn diff -r <identifier_to>:<identifier_from> <path>@<identifier>

 Correct me if I'm wrong.

#4 - 2009-01-20 07:26 - youngseok yi

Thanks JP!

I agree with your solution. Maybe it would be important to check the other SCM also need 3rd arguement.

#5 - 2011-02-08 05:50 - Toshi MARUYAMA

- Subject changed from Error message for some of view differences to Subversion: Error message for some of view differences

- Resolution deleted (Invalid)

#6 - 2013-03-27 08:58 - Etienne Massip

- Status changed from Reopened to Confirmed

- Target version set to Candidate for next minor release

#7 - 2013-11-20 16:50 - Marc Mengel

Is anyone looking at this for an upcoming release?  Do we need a patch?

#8 - 2018-08-02 22:05 - Gustavo Regal

+1 Subversion

#9 - 2020-02-19 14:28 - Jonas De Meulenaere

+1
